﻿# Здесь будет скрипт вашей визуальной новеллы.

init:
    # Здесь объявляют изображения, фоновые и персонажей. Командами вроде:
    # image eileen happy = "eileen_happy.png"
 #Фоны
    image black = "#000000"
    image bg0 = "Images/bg0.png"
    image bg1 = "Images/bg1.png"
    image bg2 = "Images/bg2.png"
    image bg3 = "Images/bg3.png"
    image bg4 = "Images/bg4.png"
    image bg5 = "Images/bg5.png"
    image bg6 = "Images/bg6.png"
    image bg7 = "Images/bg7.png"
    image bg10 = "Images/bg10.png"
    image bg11 = "Images/bg11.png"
    # Здесь также объявляют персонажей, участвующих в новелле (не забудте про u перед русскоязычными именами!).
    $ e = Character(u'Айлин', color="#c8ffc8")
    $ narrator = NVLCharacter(None, kind=nvl)


# Отсюда начинается игра.
label start:
    play music "Sound/Ethereal.mp3"                                                              # Запуск фоновой музыки. По достижению конца файла автоматически запустится сначала.
    scene bg0 with dissolve 
    nvl clear
    nvl show dissolve
                                                                  # Демонстрируем фон, с эффектом dissolve.
    "Это Карат. {w} Ей - три года. {w} Уже поздно, но никто не забирает её из детского сада. "
    "Снова."
    "Зато все игрушки в её распоряжении. {w} Воспитательница долго звонит по телефону. {w} Потом сама отводит её до дома."
    "Глупо было бы спрашивать у Карат, как она к этому относится. {w} Она не поймет."
    scene bg1 with dissolve 
    nvl clear
    "Это Карат. {w} Ей исполнилось четыре года. "
    "Карат гуляет с девочками, дочками материной подруги. Гуляя, они поднялись на пешеходный мост возле железнодорожного вокзала - посмотреть на поезда. {w} Вагонно-ремонтный завод - он сойдет за городскую достопримечательность. "
    "- Гы-гы-гы."
    "- Ха-ха-ха."
    "Сёстрам по тринадцать лет, они разговаривают о непонятных вещах, смеются и плюют с моста на проходящие составы."
    "- Смотри, - говорит одна и показывает длинный ров между колеями. Из стенки рва бьёт вода."
    "- Видишь, вода течет?  От туда железнодорожники пьют!"
    "- А там в стенке фильтр воду очищает? - поинтересовалась Карат {w} -  А где они кран поставили, если надо, чтобы вода не текла?"
    nvl clear
    "- Гы-гы-гы."
    "- Ха-ха-ха."
    "Сёстры беззлобно смеются:"
    "- Ты такая забавная, Карат. Тебя так просто обмануть."
    "- А зачем меня обманывать?"
    "- Вырастешь, поймешь."
    "- Гы-гы-гы."
    "- Ха-ха-ха."
    "И они идут гулять дальше."
    scene bg6 with dissolve 
    nvl clear
    "Здесь нет Карат. {w}Ей шесть лет. {w}Её забыли в ресторане и теперь {w}она сидит за отдельным столиком, {w}смотрит телевизор ожидая возвращение родителей. {w}По телевизору нет ничего интересного: седой дядька ведет наглядную лекцию по физике.{w} 'Сопротивление материалов'"
    "Потом, её потеряли в универсаме."
    "Нет на что смотреть."
    scene bg7 with dissolve 
    nvl clear
    "Это Карат. Ей восемь лет."
    "Карат ты любишь свою маму? "
    "А своего папу?  "
    "А нового папу?"
    "Взрослым нравится задавать вопросы, на которые Карат сложно ответить. {w}Устраивать из расспросов целое предстваление, {w}смеяться над ответами, {w}гладить Карат по голове."
    scene black with dissolve 
    nvl clear
    "Карат лежит в больничном подвале. {w}Здесь пусто, прохладно и влажно. {w}У Карат берут желудочный сок на анализы."
    "Карат лежит на кушетке, перед ней табуретка с баночками {w}- когда наполнится одна, она должна переставить трубку в другую."
    "Напротив, на такой же кушетке лежит мальчик. Они стараются не смотреть друг на друга. {w}Обоим противно."
    scene bg3 with dissolve 
    nvl clear
    "Это Карат. {w}Ей десять лет. {w}Она умеет предсказывать будущее {w}- если отчим приезжает из командировки, {w}значит Карат скоро положат в больницу, поправлять здоровье."
    "В больнице очень скучно. {w}Дети меняются. {w}Карат никто не навещает."
    scene bg4 with dissolve 
    "Карат стыдно возвращятся в класс. {w}С каждым разом, класс становится всё более чужим."
    scene bg6 with dissolve 
    nvl clear
    "Смена дня и ночи - правило. {w}А смена событий? {w}За плохим обязательно должно идти хорошее?"
    "Мама говорит: "
    "- Всем плохо, у каждого в жизни бывают чёрные полосы, после них идут белые полосы. "
    "- То есть, если с человеком случилась большая беда, потом обязательно будет что-то хорошее?"
    "- Да, {w}- сказала мама."
    "- A если случилось что-то хорошее, надо потом ждать плохого?"
    "- Надо надеятся, что нет."
    "- Значит, это не правило?"
    "..."
    nvl clear
    "- Кто решает, что случиться?"
    "- Кто-то это решает?"
    "- Кто следит за событиями и отмеряет {w}- вот тут должна закончится чёрная полоса и начатся белая?"
    nvl clear
    "Карат должна поправлять здоровье.{w} Её ложат в больницу, даже если нет мест. "
    "Мама старается ради Карат. "
    "Мест нет,{w} но Карат {w}временно ложат в больничную библиотеку."
    scene black with dissolve 
    nvl clear
    " - Мама, а что не так с котом Шрёдингера?"
    "..."
    scene bg2 with dissolve 
    nvl clear
    "Это Карат. {w}Ей - двенадцать лет."
    "Она села на скамейку  у подъезда почитать книжку"
    "'Жили-были два муравья и были в их жизни и светлые и черные полосы. {w}Одного муравья Карат случайно размазала каблуком по асфальту, когда садилась на скамейку, {w}а второй сейчас карабкается по её ноге.'"
    "- Не судьба, {w}- говорит Карат себе под нос и брезгливо стряхивает насекомое палочкой. "
    "Потом она долго рассматривала маленькую тёмную полосу на асфальте."
    "Карат плачет."
    "..."
    scene bg4 with dissolve 
    nvl clear
    "Карат на уроке литературы."
    "Учитель доволен, {w}он хочеть затеять с учениками дискусс о добре и зле." 
    "Он хочет напомнить {w}о прописных истинах и морально-этических нормах. "
    "Так он записал в своей тетрадке поурочного планирования." 
    "- Зачем мы должны делать добро, дети?"
    "Карат поднимает руку, {w}она хочет спросить:"
    "- А зачем мы должны об этом думать? {w}Разве не надо делать добро не думая?"
    "Пауза. "
    "Неловкая пауза." 
    "Никто не видит, как вопрос Карат обескуражил учителя. {w}Какой бы он ни видел эту дискуссию когда задавал классу вопрос {w}- чтобы это ни было, оно пошло прахом." 
    nvl clear
    "Что-то сломалось в планах учителя, {w}сломалось на столько, что учитель пошол на попятную, {w}по ходу отступления спасая свой авторитет:"
    "- Тоесть, мы должны делать добро направо и налево,{w} - размахивая своими руками, будто перекладывая из стороны в сторону кирпичи, учитель делает гримасу удивления."
    "Одобрительный хохот в классе."
    "- Делать добро бездумно? {w}Это как, расскажи нам."
    "- Нет... Я не знаю"
    "Карат садится под всеобщий хохот." 
    scene bg6 with dissolve 
    nvl clear
    "Температура - 37.3 Кажется, Карат заболела."
    "Терапевт выписывает направления на анализы - кровь, моча." 
    "- Анализы в норме. - говорит терапевт"
    "Карат молча на неё смотрит. {w}Терапевт подклеивает анализы в карточку."
    "- Ну что смотришь? Иди."
    " ..."
    nvl clear
    "Карат жалуется на температуру и головную боль родителям." 
    "Родители посылают Карат к врачу. "
    "Врач посылает Карат на анализы."
    "Анализы в норме."
    "'Следующий!'"
    scene bg2 with dissolve 
    nvl clear
    "- Мама, можно мне аспирин?"
    "- Ты всё равно пойдеш в школу."

    "Отчим говорит:"
    "- Лекарства пьют если больны. {w}Если пить лекарства без рецепта - будет плохо. {w} Так, что сказала врач, ты больна?"
    "- Хорошо папа."

    scene bg5 with dissolve 
    nvl clear
    "Это Карат. {w}Ей - уже четырнадцать лет. {w}Она - большая девочка. {w}Она должна позаботится летом о больной бабушке."
    "Карат любит бабушку."
    "Бабушка занет немецкий, польский, украинский и киргизский." 
    "Бабушка научила Карат вязать и шить. "
    "А ещё бабушка {w}умеет {w}прясть! {w}У неё в шкафу лежит веретено и клубок верблюжьей шерсти."

    scene bg2 with dissolve 
    nvl clear
    
    "Здесь - на краю города скучно. {w}У бабушки есть развлечение - она разговаривает с умершим дедушкой." 
    "Карат с трудом сходится с соседскими детьми."
    "Петя гордиться своим отцом - военным. {w}Петя носит тельняшку, показывает подаренный отцом берет и жутко материться. {w}Бывает за это бит, но всё равно повторяет услышанные от отца слова.
    Он хочет быть похожим на него."
    "Маша - слушает этого певца. {w}Хочет быть во всём похожей на его жену, тоже певицу."
    scene black with dissolve 
    nvl clear
    "- Карат, а твой папа военный?"
    "- Карат, а у вас есть машина?"
    "- Mеня бабушка учит немецкому..."
    "- А мы не учим! А мы их победили, немцы говно!!" 
    "- Карат, ты фашист?"
    
    nvl clear
    "Температура."
    
    scene bg4 with dissolve 
    nvl clear
    "У бабушки нет телефона. {w}Карат звонит родителям с почтового отделения. "
    "По вечерам там занято, {w}днем - никто не берет трубку."
    "Карат торопливо идет по улице. {w}Надо поискать кефир для бабушки, его почти нигде нет. {w}Или купить молоко с рук, а время для молока уже позднее."
    "По пустынному переулку Карат торопится в продуктовый магазин. {w}У Карат снова болит голова."
    "... а Карат сказала..."
    "...вот! Знаете, Карат..."
    "- Зачем? {w}Зачем  вы рассказываете про меня глупости?"
    "Голоса знакомых и незнакомых людей."
    "...Карат!.."
    "..Карат?.."
    "...Карат..."

    scene black with dissolve 
    nvl clear
    "Температура."
    
    scene bg2 with dissolve 
    nvl clear
    
    "Почему происходит то, что происходит?"
    "И почему двери на кухню ведут именно на кухню? {w}Я однажды их не узнала, открыла -  а там всё равно кухня.{w} Но ведь я тогда не знала, что там кухня."
    "- Бабушка, это по тому, что двери были кухонные?"
    nvl clear
     
    "Дети играют в подвале, {w}но Карат с ними нельзя."
    "..."
    "Потому, что!.."

    "- А какую ты любишь музыку?" 
    "- Разную."
    "- А какой любимый певец?"
    "- Незнаю, слушаю, что нравится." 
    "- А этого певца любиш? {w}Он самый лучший. {w}Знаешь чем?"
    "- Чем?"
    "- Ну ты и глупенькая."
    "- Наверно."
    "- Ты ничего не понимаешь!"
    "- Наверно."
    scene black with dissolve 
    nvl clear
    "- Я? {w}На кого хочу быть похожей я? {w}Но зачем?{w} Ведь я - это я."
    "Почему я должна вырасти в маму или папу?"
    "Непонимаю."    
    "Болит {w}голова."
    scene bg3 with dissolve 
    nvl clear
    "Конец лета. {w}Бабушке плохо. {w}Карат вызывает бабушке скорую."
    "- Где твои папа и мама?"
    "- В городе живут."
    "- Позвони им, пусть последят за бабушкой. Тебе же тяжело с ней."
    "- А вы не заберете её в больницу?"
    "- Нет причин."
    scene bg2 with dissolve 
    nvl clear
    "Но по-вечерам там занято, {w}днем - никто не берет трубку."
    "Карат возвращается домой с кефиром. "
    "Карат заметила краем глаза,{w} что на её мчится большой рыжий пёс и отскочила, чтобы с ним не столкнуться.{w} Она повернула голову..."
    "- Где же ты, пёсик?"
    scene bg10 with dissolve 
    nvl clear
    "Бабушка умерла этой ночью. {w}Карат прикрыла зеркала. {w}Карат утром должна позвонить родителям."
    "Зажечь свечку надо?"
    "..."
    scene black with dissolve 
    nvl clear
    "- Я хотела спросить, {w}пусть теперь... {w}и поздно..." 
    scene bg10 with dissolve 
    nvl clear
    "Бабушка, {w}а ты не видишь  {w}этого рыжего пёсика?"
    scene bg11 with dissolve 
    nvl clear
    ""
